GET openApi/students/{userIdentifier}/followUpActivities?Count={Count}&Offset={Offset}
Authorization
Access to this endpoint is granted if all following conditions are true:
- Authenticated territory has access to center which matches identifier given in "centerId" uri parameter.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| userIdentifier | PearsonEnglish.LearningServices.Business.Helpers.UserIdentifier |
Required |
|
| Count | integer |
None. |
|
| Offset | integer |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of PearsonEnglish.LearningServices.Core.Models.Views.FollowUpActivityViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier |
None. |
|
| StudentId | globally unique identifier |
None. |
|
| ReporterId | globally unique identifier |
None. |
|
| ReporterFullName | string |
None. |
|
| LocalDate | date |
None. |
|
| Result | string |
None. |
|
| HasReachedStudent | boolean |
None. |
|
| StaffMemberPhotoUris | Dictionary of Nse.ServiceBus.DataContracts.ImageResolution [key] and string [value] |
None. |
|
| FollowUpActivityType | PearsonEnglish.LearningServices.Core.Models.Views.FollowUpActivityTypeViewModel |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"Id": "09506347-c648-4faa-ba28-88fd044a785b",
"StudentId": "2f714c95-6d7c-4607-a85f-8a473be41a14",
"ReporterId": "30da2435-cd18-4e26-95d3-4558e970b63a",
"ReporterFullName": "sample string 4",
"LocalDate": "2026-11-16T06:20:47.7473982+00:00",
"Result": "sample string 6",
"HasReachedStudent": true,
"StaffMemberPhotoUris": {
"Small": "sample string 1"
},
"FollowUpActivityType": {
"Id": "62177159-bda9-4254-a544-895fd879a4db",
"Name": "sample string 2"
}
},
{
"Id": "09506347-c648-4faa-ba28-88fd044a785b",
"StudentId": "2f714c95-6d7c-4607-a85f-8a473be41a14",
"ReporterId": "30da2435-cd18-4e26-95d3-4558e970b63a",
"ReporterFullName": "sample string 4",
"LocalDate": "2026-11-16T06:20:47.7473982+00:00",
"Result": "sample string 6",
"HasReachedStudent": true,
"StaffMemberPhotoUris": {
"Small": "sample string 1"
},
"FollowUpActivityType": {
"Id": "62177159-bda9-4254-a544-895fd879a4db",
"Name": "sample string 2"
}
}
]